Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Wed, 05 Jan 2022 20:58:22 +0200

>> However, mouse-online-search-at-point looks out of place in mouse.el.
>> Since it relies on eww, wouldn't the right place for it be in eww.el?
>
> It doesn't really depend on eww in any substantial way, rather eww is
> the only place where a search engine is defined.  What I was thinking
> about was adding a command like online-search (that could then have both
> a keyboard and mouse-oriented command), a online-search-engine
> user option.

Maybe then a better place to add new functions would be in
lisp/net/webjump.el.  webjump is a package created exactly
for this purpose.  Then new functions could share the same
prefix webjump-.